javax.faces.event

## Class ActionListenerWrapper

- java.lang.Object
- - javax.faces.event.ActionListenerWrapper

- All Implemented Interfaces:
    EventListener, ActionListener, FacesListener, FacesWrapper<ActionListener>

      public abstract class ActionListenerWrapper
      extends Object
      implements ActionListener, FacesWrapper<ActionListener>

  Provides a simple implementation of `ActionListener` that can be subclassed by developers wishing to provide specialized behavior to an existing `ActionListener` instance. The default implementation of all methods is to call through to the wrapped `ActionListener`.

  Usage: extend this class and override `getWrapped()` to return the instance we are wrapping.

  Since:
    2.2

- - ### Field Summary

    - ### Fields inherited from interface javax.faces.event.ActionListener

      `TO_FLOW_DOCUMENT_ID_ATTR_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionListenerWrapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ActionListener` | `getWrapped()` A class that implements this interface uses this method to return an instance of the class being wrapped.
    `void` | `processAction(ActionEvent event)` Invoked when the action described by the specified `ActionEvent` occurs.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionListenerWrapper

          public ActionListenerWrapper()

  - ### Method Detail

    - #### processAction

          public void processAction(ActionEvent event)
                             throws AbortProcessingException

      Description copied from interface: `ActionListener`

      Invoked when the action described by the specified `ActionEvent` occurs.

      Specified by:
        `processAction` in interface `ActionListener`
      Parameters:
        `event` - The `ActionEvent` that has occurred
      Throws:
        `AbortProcessingException` - Signal the JavaServer Faces implementation that no further processing on the current event should be performed

    - #### getWrapped

          public abstract ActionListener getWrapped()

      Description copied from interface: `FacesWrapper`

      A class that implements this interface uses this method to return an instance of the class being wrapped.

      Specified by:
        `getWrapped` in interface `FacesWrapper<ActionListener>`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.